Last Comment Bug 736519 - jssubloader files are not packaged properly
: jssubloader files are not packaged properly
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Mike Hommey [:glandium]
:
:
Mentors:
: 732649 (view as bug list)
Depends on:
Blocks: 648125 697762 741215
  Show dependency treegraph
 
Reported: 2012-03-16 10:29 PDT by Mike Hommey [:glandium]
Modified: 2012-04-01 09:56 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
fixed


Attachments
Package jssubloader cache in omnijar (1.57 KB, patch)
2012-03-16 11:06 PDT, Mike Hommey [:glandium]
khuey: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
Add jssubloader to removed-files (1.75 KB, patch)
2012-03-27 00:16 PDT, Mike Hommey [:glandium]
khuey: review+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2012-03-16 10:29:06 PDT
Bug 648125 added support for cache for js loaded with loadSubScript. Somehow (probably because so many scripts just fail in the xpcshell harness used to generate jsloader cache), it was never exercised until bug 697762 landed.

Now, there is a jssubloader/185/resource/gre/chrome/toolkit/content/global/devtools/dbg-transport.js that ends up packaged. That file should obviously be in omni.jar.
Comment 1 Panos Astithas [:past] 2012-03-16 10:37:04 PDT
Do you want to dupe bug 732649 to this or vice versa?
Comment 2 Mike Hommey [:glandium] 2012-03-16 10:58:08 PDT

*** This bug has been marked as a duplicate of bug 732649 ***
Comment 3 Mike Hommey [:glandium] 2012-03-16 11:06:21 PDT
Created attachment 606639 [details] [diff] [review]
Package jssubloader cache in omnijar
Comment 4 Mike Hommey [:glandium] 2012-03-23 07:06:36 PDT
*** Bug 732649 has been marked as a duplicate of this bug. ***
Comment 6 Ed Morley [:emorley] 2012-03-24 14:06:26 PDT
Please can you set the target milestone when landing on inbound, along the lines of http://blog.bonardo.net/2012/03/23/how-you-can-help-mozilla-inbound-sheriffs-when-pushing :-)

https://hg.mozilla.org/mozilla-central/rev/68def3ab33b6
Comment 7 Mike Hommey [:glandium] 2012-03-26 00:20:16 PDT
Comment on attachment 606639 [details] [diff] [review]
Package jssubloader cache in omnijar

[Approval Request Comment]
Regression caused by combination of bug 648125 and bug 697762
User impact if declined: extra unused file shipped in tarballs/installers
Risk to taking this patch (and alternatives if risky): none
String changes made by this patch: none
Comment 8 Alex Keybl [:akeybl] 2012-03-26 15:25:39 PDT
Comment on attachment 606639 [details] [diff] [review]
Package jssubloader cache in omnijar

[Triage Comment]
Doesn't sound like this is absolutely necessary from the user's perspective, but given where we are in Aurora this should be OK to land.
Comment 9 Mike Hommey [:glandium] 2012-03-27 00:16:07 PDT
Created attachment 609641 [details] [diff] [review]
Add jssubloader to removed-files
Comment 11 Mike Hommey [:glandium] 2012-03-31 00:40:50 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/2ee0ace363aa

Note You need to log in before you can comment on or make changes to this bug.